Loading...
Searching...
No Matches
ranges::experimental::shared_closure_base Struct Reference
Inheritance diagram for ranges::experimental::shared_closure_base:

## Friends

template<typename Rng , typename SharedFn > requires range<Rng> && (!viewable_range<Rng>) && constructible_from<detail::decay_t<Rng>, Rng>
constexpr auto | operator| (Rng &&rng, shared_closure< SharedFn > vw)
template<typename SharedFn , typename Pipeable > requires (is_pipeable_v<Pipeable>)
constexpr auto | operator| (shared_closure< SharedFn > sh, Pipeable pipe) -> shared_closure< composed< Pipeable, SharedFn > >